package org.jeecg.modules.bytedance.advertise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.bytedance.advertise.entity.ByteDanceCampaign;
import org.jeecg.modules.bytedance.advertise.vo.BytedanceCampaignEditVo;
import org.jeecg.modules.bytedance.common.entity.CtopOauthToken;

import java.util.Map;

/**
 * @Description: 今日头条广告组信息
 * @Author: jeecg-boot
 * @Date: 2019-07-22
 * @Version: V1.0
 */
public interface IByteDanceCampaignService extends IService<ByteDanceCampaign> {
    Map<String,Object> createCampaign(Long accountId, String campaignName, String operation, String budgetMode, String budget, String landingType, String uniqueFk);
    Map<String,Object>updateCampaign(CtopOauthToken token, Long campaignId, String campaignName, String modifyTime, Integer budget);
    Map<String, Object> updateCampaignStatus(Long accountId, String campaignIds, String optStatus);
    Map<String, Object> getAdvertiserCampaign(CtopOauthToken token, String ids, String date);
    Map<String, Object> updateCampaign(BytedanceCampaignEditVo editVo);
}
